import { httpPostRequest, APIUrlGenerator } from "@/utils/baseHttpService";
import { API_ROUTES } from "@/constant/routes";
import {
  PaymentMethodsFilters,
  PaymentMethodsResponse,
} from "./_models";

export const getPaymentMethodsReport = async (
  filters: PaymentMethodsFilters
): Promise<PaymentMethodsResponse> => {
  const response = await httpPostRequest<PaymentMethodsResponse>(
    APIUrlGenerator(API_ROUTES.PAYMENT_METHODS_REPORT),
    filters
  );
  return response.data;
};

